import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Box } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BoxChart = defineComponent({
  name: 'BoxChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Box
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

BoxChart.install = function (app) {
  app.component(BoxChart.name, BoxChart);
};

export default BoxChart;