import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Bullet } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BulletChart = defineComponent({
  name: 'BulletChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Bullet
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

BulletChart.install = function (app) {
  app.component(BulletChart.name, BulletChart);
};

export default BulletChart;