import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { DualAxes } from '@antv/g2plot';
import BaseChart from '../../components/base';
var DualAxesChart = defineComponent({
  name: 'DualAxesChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": DualAxes
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

DualAxesChart.install = function (app) {
  app.component(DualAxesChart.name, DualAxesChart);
};

export default DualAxesChart;