import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Liquid } from '@antv/g2plot';
import BaseChart from '../../components/base';
var LiquidChart = defineComponent({
  name: 'LiquidChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Liquid
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

LiquidChart.install = function (app) {
  app.component(LiquidChart.name, LiquidChart);
};

export default LiquidChart;