import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Radar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RadarChart = defineComponent({
  name: 'RadarChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Radar
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RadarChart.install = function (app) {
  app.component(RadarChart.name, RadarChart);
};

export default RadarChart;