import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Waterfall } from '@antv/g2plot';
import BaseChart from '../../components/base';
var WaterfallChart = defineComponent({
  name: 'WaterfallChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Waterfall
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

WaterfallChart.install = function (app) {
  app.component(WaterfallChart.name, WaterfallChart);
};

export default WaterfallChart;