"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.function.name");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _g2plot = require("@antv/g2plot");

var _base = _interopRequireDefault(require("../../components/base"));

var BulletChart = (0, _vue.defineComponent)({
  name: 'BulletChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Bullet
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

BulletChart.install = function (app) {
  app.component(BulletChart.name, BulletChart);
};

var _default = BulletChart;
exports.default = _default;